Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.spi
Enum Status

    java.lang.Object
      java.lang.Enum<Status>
          org.hibernate.engine.spi.Status

All Implemented Interfaces:
  Serializable, Comparable<Status>

    public enum Status

extends Enum<Status>

Represents the status of an entity with respect to this session. These statuses are for internal book-keeping only and are not intended to represent any notion that is visible to the _application_.

Enum Constant Summary
`DELETED`
`GONE`
`LOADING`
`MANAGED`
`READ_ONLY`
`SAVING`

Method Summary
`static Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANAGED

    public static final Status MANAGED

### READ_ONLY

    public static final Status READ_ONLY

### DELETED

    public static final Status DELETED

### GONE

    public static final Status GONE

### LOADING

    public static final Status LOADING

### SAVING

    public static final Status SAVING

Method Detail

### values

    public static Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Status c : Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.